<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:
        Создать список дел, в который можно:
        - Добавить новый элемент
        - Удалить элемент
        - Задать что пункт выполнен

      Шаблон элемента:
        <li class="listItem">
            <input type="checkbox" class="DoneCheckbox" />
            <span class="TodoText">{add text}</span>
            <button>Remove</button>
        </li>
    */

    window.addEventListener("load", function () {
      "use strict"
      var button = document.getElementById("AddToDo");

      button.addEventListener('click', AddClick);
      var textBox = document.getElementById("newToDo");
      var ul = document.getElementById("toDoList");

      function AddClick(e) {
        AddElement();
        //clearing text
        textBox.value = "";
      }

      function AddElement() {
        // <li class="listItem">
        var li = document.createElement("li");
        var text = textBox.value;

        // <input type="checkbox" class="DoneCheckbox" />
        var checkbox = document.createElement("input");
        checkbox.type = "checkbox";
        checkbox.classList.add("DoneCheckbox");
        checkbox.addEventListener('change', ChengeElement);

        // <span class="TodoText">{add text}</span>
        var span = document.createElement("span");
        span.classList.add("TodoText");
        span.innerHTML = textBox.value;

        // button>Remove</button>
        var button = document.createElement("button");
        button.innerHTML = "Remove";
        button.addEventListener('click', RemoveElement)

        li.appendChild(checkbox);
        li.appendChild(span);
        li.appendChild(button);
        ul.appendChild(li);
      }

      function ChengeElement(event) {
        var checkbox = event.target;
        //span.style.setProperty("text-decoration", "line-through");
        if (checkbox.checked) {
          checkbox.parentElement.style.textDecoration = "line-through";
        }
        else {
          checkbox.parentElement.style.textDecoration = "none";
        }
      }

      function RemoveElement(event) {
        var btnRemove = event.target;
        var element = btnRemove.parentElement;
        element.parentElement.removeChild(element);
      }
    });
  </script>
</head>

<body>
  <header>
    <input id="newToDo" class="textInput" />
    <input id="AddToDo" class="addButton" type="button" value="Add" />
  </header>
  <ul id="toDoList"></ul>

  <style>
    .done {
      text-decoration: line-through;
    }

    .textInput {
      box-sizing: border-box;
      padding: 10px 20px;
    }

    .addButton {
      box-sizing: border-box;
      padding: 10px 20px;
      background: #ffcc00;
    }

    .DoneCheckbox,
    .TodoText {
      margin-right: 5px;
    }

    button {
      background: red;
      color: #fff;
      padding: 5px 10px;
    }
  </style>
</body>

</html>